Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface MobilePortlet

All Known Subinterfaces:
  MutablePortletXtra2, MutablePortletXtra3, PortletXtra2, PortletXtra3

public interface MobilePortlet
extends Portlet

A `MobilePortlet` has the ability to render contents for `MODE_LINK` and control how its meta data information is requested.

Method Summary
`boolean` | `callGetPortlet()` Returns true if calls to retrieve this Portlet's meta data should be made.
`boolean` | `callIsRunnable()` Returns true if calls to `isPortletRunnable` should be made to this Portlet before displaying in the portlet repository.
`boolean` | `hasShowLinkMode()` Returns true if this Portlet is capable of rendering content for link mode.

Methods inherited from interface oracle.portal.provider.v1.Portlet
`getAcceptContentTypes, getDefaultLocale, getDescription, getId, getInputParameters, getName, getPersonalizationManager, getProvider, getRenderer, getResourceBundle, getSecurityManager, getShowEditToPublic, getTimeout, getTimeoutMessage, getTitle, hasAbout, hasHelp, hasShowDetails, hasShowEdit, hasShowEditDefault, hasShowPreview, init`

Method Detail

### hasShowLinkMode

    public boolean hasShowLinkMode()

  Returns true if this Portlet is capable of rendering content for link mode.
  Returns:
    returns true if this Portlet is capable of rendering content for link mode.

### callIsRunnable

    public boolean callIsRunnable()

  Returns true if calls to `isPortletRunnable` should be made to this Portlet before displaying in the portlet repository. If false, the portlet is treated as a public portlet visible to all users.
  Returns:
    returns true if calls to `isPortletRunnable` should be made to this Portlet.

### callGetPortlet

    public boolean callGetPortlet()

  Returns true if calls to retrieve this Portlet's meta data should be made. before displaying in the portlet repository. If false, the default meta data will be displayed for all users.
  Returns:
    returns true if calls to retrieve this Portlet's meta data should be made.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD